package uk.co.petertribble.picl;

import javax.swing.JTree;
import javax.swing.tree.*;

/**
 * Java interface to Solaris PICL data.
 * Simply specifies an enumeration and lookup mechanism.
 */
public class JPiclTree extends JTree {

    DefaultTreeModel model;
    private PiclObject piclobject;

    public JPiclTree(PiclObject piclobject) {
	this.piclobject = piclobject;
	model = new DefaultTreeModel(new JPiclTreeNode(piclobject));
	setModel(model);
	createTreeModelListener();
	this.getSelectionModel().setSelectionMode(
				TreeSelectionModel.SINGLE_TREE_SELECTION);
    }
}
